curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/paykeys/<uuid>{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"source": "bank_account",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paykey": "<string>",
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "****1234",
"account_type": "checking"
},
"metadata": {},
"balance": {
"status": "pending",
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>"
}
}Use this endpoint to retrieve a paykey by its unique id.
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/paykeys/<uuid>{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"source": "bank_account",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paykey": "<string>",
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"reason": "insufficient_funds",
"source": "watchtower",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "****1234",
"account_type": "checking"
},
"metadata": {},
"balance": {
"status": "pending",
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>"
}
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
OK
Metadata about the API request, including an identifier and timestamp.
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Unique identifier for the paykey.
Human-readable label used to represent this paykey in a UI.
bank_account, straddle, mx, plaid, tan, quiltt pending, active, inactive, rejected, review Timestamp of when the paykey was created.
Timestamp of the most recent update to the paykey.
The tokenized paykey value. This value is used to create payments and should be stored securely.
Unique identifier of the related customer object.
Name of the financial institution.
"Bank of America"
Show child attributes
A human-readable description of the current status.
"Bank account sucesfully validated"
insufficient_funds, closed_bank_account, invalid_bank_account, invalid_routing, disputed, payment_stopped, owner_deceased, frozen_bank_account, risk_review, fraudulent, duplicate_entry, invalid_paykey, payment_blocked, amount_too_large, too_many_attempts, internal_system_error, user_request, ok, other_network_return, payout_refused watchtower, bank_decline, customer_dispute, user_action, system The time the status change occurred.
The status code if applicable.
Expiration date and time of the paykey, if applicable.
Show child attributes
The routing number of the bank account.
9"021000021"
Bank account number. This value is masked by default for security reasons. Use the /unmask endpoint to access the unmasked value.
"****1234"
checking, savings Unique identifier for the paykey in your database, used for cross-referencing between Straddle and your systems.
Was this page helpful?